image: node:8.1.2

cache:
  paths:
    - node_modules/

before_script:
  - npm install --silent

webpack:
  stage: build
  script:
    - npm run build

mocha:
  stage: test
  script: 
    - npm run test

heroku_deploy:
  stage: deploy
  script:
    - git remote add heroku https://heroku:$AUTH_TOKEN@git.heroku.com/$APP_NAME.git
    - git push heroku master
    - echo "Deployed to production server"
  only:
    - master
